Bug 137717 - ntptrace only supports -n
ntptrace only supports -n
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ntp (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-31 05:46 EST by Ian Chapman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-11 08:13:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Chapman 2004-10-31 05:46:17 EST
From Bugzilla Helper:
User-Agent: Opera/7.54 (X11; Linux i686; U)  [en]

Description of problem:
According to the man page for ntptrace it should support the 
following options:

-d Turns on some debugging output.
-n Turns  off  the  printing  of  host  names...
-r Retries Sets the number of  retransmission  attempts....
-t timeout Sets the retransmission timeout (in seconds)....
-v Prints verbose information about the NTP servers.

The only option which appears to work is -n. All others return the 
following error:

Unknown option:

This appears to be confirmed by looking at the ntptrace script. It 
shows:

use Socket;
use Getopt::Std;
use vars qw($opt_n);

$ntpq = "ntpq";

getopts('n');

$dodns = 1;
$dodns = 0 if (defined($opt_n));

$host = shift;
$host ||= "127.0.0.1";
...

So it seems to me that either ntptrace should be fixed to support 
those options, or the man page should be corrected to list only those 
options supported by ntptrace.





Version-Release number of selected component (if applicable):
ntp-4.2.0-7

How reproducible:
Always

Steps to Reproduce:
1. ntptrace -v
2.
3.
    

Actual Results:  Returns unknown option

Expected Results:  Returned verbose information

Additional info:
Comment 1 Brad Knowles 2005-02-09 05:36:32 EST
The implementation of ntptrace changed from a binary written in C to a Perl script, and the 
documentation apparently hasn't followed.

However, Dr. Mills doesn't allow any man pages to be created for the NTP Project, so any 
man pages you see are the result of some other project which has taken the HTML 
documentation and formatted that as a man page.  Looking at the HTML source for the 
documentation on this command, I see that it hasn't been updated, either.

This has been noted on the bug at <http://bugzilla.ntp.org/show_bug.cgi?id=364>, but 
the owner of that bug may decide to split it out.
Comment 2 Matthew Miller 2005-04-26 12:32:03 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Miroslav Lichvar 2006-05-11 08:13:12 EDT
Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.